import 'package:json_annotation/json_annotation.dart';

part 'agenda_update_bean.g.dart';

@JsonSerializable()
class AgendaUpdateBean {
  @JsonKey(name: 'id')
  String? id;

  @JsonKey(name: 'name')
  String? name;

  @JsonKey(name: 'content')
  String? content;

  AgendaUpdateBean(this.id, this.name, this.content);

  Map<String, dynamic> toJson() => _$AgendaUpdateBeanToJson(this);

  factory AgendaUpdateBean.fromJson(Map<String, dynamic> json) =>
      _$AgendaUpdateBeanFromJson(json);

  @override
  String toString() {
    return 'AgendaUpdateBean{id: $id, name: $name, content: $content}';
  }
}
